\section{Solution}
\label{sec:solution}

First of all, Euler method will be used to pass from the ODE in
\autoref{eqn:dynamic-object} to a set of equality constraints by applying the
substitutions described by \autoref{eqn:euler-method}. Additionally a shorter
notation will be used where $x(t_k) = x_k$ and $x(t_k+\Delta) = x_{k+1}$.

\begin{equation}
    \begin{split}
    \dot{x}(t) & \approx  \frac{x(t+\Delta)-x(t)}{\Delta} \\
    \Delta & = \frac{t_f-t_0}{N} \\
    t_k & = t_0 + k\cdot\Delta \\
    \end{split}
    \label{eqn:euler-method}
\end{equation}

The resulting set of equality constraints is defined in
\autoref{eqn:dynamic-object-linearized}, with the state constraint of
\autoref{eqn:state-constraint-linearized}.

\begin{equation}
    \begin{split}
        x_{1,k+1} & = x_{1, k} + \Delta \cdot x_{2, k}\\
        x_{2,k+1} & = (1-\Delta)\cdot x_{2, k} + \Delta \cdot u_{k}\\
        &0\leq k\leq (N-1)
    \end{split}
    \label{eqn:dynamic-object-linearized}
\end{equation}

\begin{equation}
    x_{2,k}\leq 8(t_0+\Delta \cdot k-0.5)^2-0.5,\quad 0\leq k\leq (N-1)
    \label{eqn:state-constraint-linearized}
\end{equation}

Secondly, the Bolza type performance index described by
\autoref{eqn:cost-function} is transformed into a summation, resulting in
\autoref{eqn:cost-function-linearized}.

\begin{equation}
    J(x, u) = \Delta \cdot \sum_{k=0}^{N-1}  \left[x_{1,k}^2+x_{2,k}^2+0.005\cdot u_k^2\right]
    \label{eqn:cost-function-linearized}
\end{equation}

At this point, the problem can be solved as a static nonlinear optimization by
treating all $x_{k,1}$, $x_{k,2}$, $u_k$, $k=0,...,N-1$ as independent decision variables. Its
implementation in AMPL can be found in \autoref{sec:implementation}.